class ArrayList<T> {

	private Object[] values;
	private int next;

	public ArrayList(int size) {
		this.values = new Object[size];
		this.next = 0;
	}

	public void add(T value) {
		if (this.next < this.values.length) {
			this.values[this.next++] = value;
		}
	}

	@SuppressWarnings("unchecked")
	public T get(int index) {
		return (T) this.values[index];
	}

	public int size() {
		return this.next;
	}
}

public class UE23Aufgabe2 {

	public static void main(String[] args) {
		ArrayList<Integer> l = new ArrayList<Integer>(10);
		l.add(4711);
		l.add(4);
		l.add(35);
		// l.add("Hallo"); Fehler
		int summe = 0;
		for (int i = 0; i < l.size(); i++) {
			summe += l.get(i); // ohne Typecast
		}
		System.out.println(summe);
	}

}
