import java.util.HashMap;
import java.util.HashSet;
import java.util.Map.Entry;
import java.util.Set;

class Seiten extends HashSet<Integer> { // keine Duplikate

	Seiten(int seitenzahl) {
		this.add(seitenzahl);
	}

	@Override
	public String toString() {
		String erg = "";
		for (int seitenzahl : this) {
			erg += seitenzahl + " ";
		}
		return erg;
	}

}

class Index extends HashMap<String, Seiten> {

	@Override
	public String toString() {
		String erg = "";

		Set<Entry<String, Seiten>> es = this.entrySet();

		for (Entry<String, Seiten> eintrag : es) {
			erg += eintrag.getKey();
			erg += ": ";
			erg += eintrag.getValue().toString() + "\n";
		}
		return erg;
	}

	public void hinzufuegen(String begriff, int seitenzahl) {
		Seiten seiten = this.get(begriff);
		if (seiten == null) {
			this.put(begriff, new Seiten(seitenzahl));
		} else {
			seiten.add(seitenzahl);
		}
	}
}

public class UE23Aufgabe7 {

	// Testprogramm
	public static void main(String[] args) {
		Index index = new Index();

		index.hinzufuegen("Objekt", 1);
		index.hinzufuegen("Objekt", 15);
		index.hinzufuegen("Objekt", 3);
		index.hinzufuegen("Objekt", 15);
		index.hinzufuegen("Objekt", 17);

		index.hinzufuegen("Hamster", 45);
		index.hinzufuegen("Hamster", 2);
		index.hinzufuegen("Hamster", 199);
		index.hinzufuegen("Hamster", 45);

		index.hinzufuegen("Java", 3);
		index.hinzufuegen("Java", 2);
		index.hinzufuegen("Java", 3);
		index.hinzufuegen("Java", 3);

		System.out.println(index);
	}
}
